create table transfer_ip (
    packetdate timestamp,
    proto integer, 
    src inet, 
    sport integer, 
    sintf varchar(15),
    dst inet, 
    dport integer, 
    dintf varchar(15),
    packets bigint, 
    bytes bigint, 
    prefix varchar(5),
    processed boolean
) without oids;

create index transfer_ip_packetdate on transfer_ip(packetdate);
create index transfer_ip_src on transfer_ip(src);
create index transfer_ip_sintf on transfer_ip(sintf);
create index transfer_ip_dst on transfer_ip(dst);
create index transfer_ip_dintf on transfer_ip(dintf);
create index transfer_ip_prefix on transfer_ip(prefix);
create index transfer_ip_processed on transfer_ip(processed);

create table summary_ip (
    sumdate date,
    intf varchar(15),
    address inet,
    in_allow bigint,
    in_drop bigint,
    out_allow bigint,
    out_drop bigint
) without oids;

create index summary_ip_sumdate on summary_ip(sumdate);
create index summary_ip_intf on summary_ip(intf);
create index summary_ip_address on summary_ip(address);
